Subject: bug#57385: 28.1.91; project-find-regexp fails over tramp

From: Michael Albinus <[email-masked]>
Date: Thu, 25 Aug 2022 19:44:02 +0200

André A. Gomes <[email-masked]> writes:

Hi André,

> I have, but Tramp was not being able to find it.  I've solved that, but
> now I'm stuck again...
>
> File is missing: /ssh:termux:/data/data/com.termux/files/home/repos/sbcl/.gitmodules
> File is missing: Setting file times No such file or directory /data/data/com.termux/files/usr/tmp/tramp.sSmuQG
> tramp-error: Setting file times No such file or directory /data/data/com.termux/files/usr/tmp/tramp.sSmuQG
>
> It seems that Tramp isn't being able to read/write from the tmp
> directory, but I can't figure out why.  Also, I don't get why it
> complains about the fact that a git repository has no .gitmodules file.

Looks like you use the termux sshd server on Android, right? This is
sometimes tricky; I'm discussing this configuration also in bug#57044.

Could you please try it again, starting with "emacs -Q" and making your
Tramp config manually, setting tramp-verbose to 10, and run the test?
The resulting debug buffer might tell us more.

> Any idea?  Thanks again.

Best regards, Michael.